Pourquoi gnome-music-applet 2.10 n’est pas dans Fedora Core 6 ?

Guillaume Kulakowski par Guillaume Kulakowski dans Fedora 21 février 2007 2
Fedora

Je viens de me faire une petite construction du rpm de la dernière version de gnome-applet-music sous Fedora Core 6 à partir du SPEC de la version 7. En effet, sous l’opus 6 de Fedora la version proposée est la déjà ancienne 0.9.2, qui notamment ne propose pas les pochettes des morceaux écoutés (on est Geek ou on ne l’es pas…).

Un fois mon rpm construit :

root@enterprise /home/builder/rpmbuild/RPMS/i386> rpm -Uvh gnome-applet-music-2.1.0-1.fc6.i386.rpm
erreur: Dépendances requises: dbus-python >= 0.80 est nécessaire pour gnome-applet-music-2.1.0-1.fc6.i386

Quel est la version de dbus-python sous Fedora Core 6 ?

root@enterprise /home/builder/rpmbuild/RPMS/i386> rpm -qa dbus-python
dbus-python-0.70-6

Quel en sont les dépendances de dbus-python ?

root@enterprise /home/builder/rpmbuild/RPMS/i386> rpm -qR dbus-python
libc.so.6
libc.so.6(GLIBC_2.1.3)
libdbus-1.so.3
libdbus-glib-1.so.2
libglib-2.0.so.0
libpthread.so.0
libxml2-python python(abi) = 2.4
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1 rtld(GNU_HASH)

Bref pas mal de dépendances qui font que je pense attendre Fedora 7 pour profiter des innovations de cette applet. J’ai bien tenté de modifier le SPEC pour le faire dépendre de dbus-pyton >= 0.6 mais l’applet se lance en me rappelant à l’ordre :-(.

Commentaires

bbTGV

De bbTGV le 21 février 2007

Tu ferais mieux de te pencher sur le RPM de Waste.

TitaX

De TitaX le 21 février 2007

Dommage bel essai !!!

Les commentaires pour ce poste sont fermés.